<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!--TITLE-->
    <title>VP Money Transfer</title>

    <!-- Favicon icon -->
    <link rel="shortcut icon" type="image/png" href="images/favicon.png"/>

    <!-- Stylesheet -->
    <link rel="stylesheet" type="text/css" th:href="@{/css/bootstrap.min.css}" href="../static/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/adminStyle.css}" href="../static/css/adminStyle.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/style.css}" href="../static/css/style.css">
    <link rel="stylesheet" type="text/css" th:href="@{/css/all.min.css}" href="../static/css/all.min.css">

</head>

<body>
<!-- Preloader -->
<div id="preloader">
    <div id="status"></div>
</div>

<!-- Document Wrapper  -->
<div id="main-wrapper">
    <!-- Header start -->
    <header class="header">
        <div class="container d-flex align-items-center">
            <a class="logo" href="/">
                <img src="images/VP.png" alt="">
            </a>
            <nav class="primary-menu text-md-right">
                <a id="mobile-menu-toggler" href="#"><i class="fas fa-bars"></i></a>
                <ul>
                    <li><a href="/">Home</a></li>
                    <li><a href="/send-money-process">Send Money</a></li>
                    <li><a href="/about">About</a></li>
                    <li><a href="/contact">Contact</a></li>
                    <li class="has-menu-child pro-menu-drop">
                        <a href="#">
                            <div class="header-pro-thumb">
                                <img class="rounded-circle" th:unless="${user.picture==null}"
                                     th:src="@{'data:image/jpeg;base64,' + ${user.picture}}" alt="">
                                <img class="rounded-circle" th:if="${user.picture==null}"
                                     src="images/profile-img.jpeg" alt="">
                            </div>
                            <div th:text="${user.username}"></div>
                            <i class="fas fa-chevron-down"></i>
                        </a>
                        <ul class="dropdown-menu-md sub-menu profile-drop">

                            <li class="nav__create-new-profile-link">
                                <a href="/profile">
                                    <span>View personal profile</span>
                                </a>
                            </li>
                            <li class="divider"></li>

                            <li class="nav__dropdown-menu-items">
                                <a href="/logout"><i class="icon icon-logout"></i><span>Logout</span></a></li>
                        </ul>
                    </li>
                </ul>
            </nav>
        </div>
    </header>
    <!-- Header end -->

    <!-- Admin Hero section-->
    <div class="hero-section">
    </div>
    <!-- Admin End of Hero section-->

    <!-- Content -->
    <div id="content" class="py-4">
        <div class="container">
            <div class="row">

                <!-- Left sidebar -->
                <aside class="col-lg-3 sidebar">
                    <div class="widget admin-widget p-0">
                        <div class="Profile-menu">
                            <ul class="nav secondary-nav">
                                <li class="nav-item active"><a class="nav-link " href="/dashboard"><i
                                        class="fas fa-tachometer-alt"></i> Dashboard</a></li>
                                <li class="nav-item"><a class="nav-link" href="/profile"><i
                                        class="fab fa-autoprefixer"></i> My Profile</a></li>
                                <li class="nav-item" sec:authorize="hasRole('ADMIN')"><a class="nav-link" href="/users"><i
                                        class="fab fa-autoprefixer"></i> All users</a></li>
                                <li class="nav-item"><a class="nav-link" href="/wallets-and-cards"><i
                                        class="fas fa-university"></i> Wallets & Cards</a></li>
                                <li class="nav-item"><a class="nav-link" href="/deposit-money"><i
                                        class="fas fa-plus"></i> Deposit Money to wallet</a></li>
                                <li class="nav-item"><a class="nav-link" href="/send-money-process"><i
                                        class="far fa-paper-plane"></i> Send Money to friend</a></li>
                                <li class="nav-item"><a class="nav-link" href="/transactions"><i
                                        class="fas fa-list-ul"></i> My Transactions</a></li>
                                <li class="nav-item" sec:authorize="hasRole('ADMIN')"><a class="nav-link"
                                                                                         href="/all-transactions"><i
                                        class="fas fa-list-ul"></i> All Transactions</a></li>
                            </ul>
                        </div>
                    </div>

                </aside>
                <!-- Left Panel End -->

                <div class="col-lg-9">
                    <div class="profile-content">
                        <h3 class="admin-heading">Send Money</h3>
                        <ul class="nav nav-pills">

                            <li class="nav-item">
                                <a class="nav-link" href="/send-money-process">Send</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link active" href="/send-money-confirm">Confirm</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="/send-money-success">Success</a>
                            </li>
                        </ul>
                        <div class="tab-content" id="pills-tabContent">
                            <div class="tab-pane fade show active" id="pills-profile" role="tabpanel"
                                 aria-labelledby="pills-profile-tab">
                                <form id="deposit-send-money" method="post" class="form bg-offwhite py-4">
                                    <div class="text-center">
                                        <h3 class="text-5 msg-header">Transaction Details</h3>
                                        <p class="text-4 text-center">Send your money anytime, anywhere in the
                                            world.</p>
                                    </div>

                                    <div class="row">
                                        <div class="col-6">
                                            <div class="form-group">
                                                <label for="your-card-provider"
                                                       style="letter-spacing: 0.7px; text-align: center">
                                                    Choose transaction category
                                                </label>
                                                <select th:field="${transaction.categoryId}" id="your-card-provider"
                                                        class="custom-select" required="" style="text-align: center">
                                                    <option th:each="category : ${categories}"
                                                            th:value="${category.id}"
                                                            th:text="${category.name}">
                                                    </option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="form-group">
                                                <label for="you-card-type" style="letter-spacing: 0.7px">Category</label>
                                                <select th:field="${transaction.fromWalletId}" id="you-card-type"
                                                        class="custom-select" required="" style="text-align: center">
                                                    <option th:each="wallet : ${wallets}"
                                                            th:value="${wallet.id}"
                                                            th:text="${wallet.name}">
                                                    </option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="description" style="letter-spacing: 0.7px">Description</label>
                                        <input th:field="${transaction.description}" class="form-control p-3"
                                                  id="description" required
                                                  placeholder="Payment Description"
                                               pattern="[^()/><\][\\\x22,;|]+"
                                               title="no special symbols permitted">
                                    </div>
                                    <ul class="pager mt-4">
                                        <li>
                                            <a href="/send-money-process" class="btn btn-default mr-0">
                                                <span class="bh"></span>
                                                <i class="fas fa-chevron-left"></i>
                                                <span>Back</span>
                                            </a>
                                        </li>
                                        <li>
                                            <button type="submit" class="btn btn-default mr-0" value="Next">
                                                <span class="bh"></span>
                                                <span>Send Money</span>
                                                <i class="fas fa-chevron-right"></i>
                                            </button>
                                        </li>
                                    </ul>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Content end -->

    <!-- Footer start -->
    <footer class="footer">
        <div class="foo-btm">
            <div class="container">
                <div class="row">
                    <div class="col-md-6">
                        <div class="foo-navigation">
                            <ul>
                                <li><a href="#">Terms and Conditions</a></li>
                                <li><a href="#">Privacy & Policy</a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="copyright">Copyright &copy; <a></a>2020</div>
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <!-- Footer end -->

</div>
<!-- Document Wrapper end -->


<!-- Script -->
<script src="js/jquery.min.js"></script>
<script src="js/bootstrap.bundle.min.js"></script>
<script src="js/moment.min.js"></script>
<script src="js/daterangepicker.js"></script>
<script src="js/bootstrap-select.min.js"></script>
<script src="js/custom.js"></script>

<script src="js/jquery-3.3.1.min.js"></script>
<script src="js/jquery-ui.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/owl.carousel.min.js"></script>
<script src="js/owl.carousel2.thumbs.min.js"></script>
<script src="js/jquery.countdown.min.js"></script>
<script src="js/jquery.fancybox.min.js"></script>
<script src="js/jquery.nice-select.min.js"></script>
<script src="../../cdnjs.cloudflare.com/ajax/libs/gsap/2.1.3/TweenMax.min.js"></script>
<script src="../../s3-us-west-2.amazonaws.com/s.cdpn.io/106949/jquery.onscreen.js"></script>
<script src="js/scripts.js"></script>
</body>

</html>